Get the contents of a entity at a given version
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/blob/{entityType}/{entityId} \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/blob/{entityType}/{entityId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/blob/{entityType}/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}Mock API versioning
Get the contents of a entity at a given version
Retrieve the full contents of a single entity as it existed at a given version.
GET
/
v1
/
mock-apis
/
{mockApiId}
/
version-history
/
commits
/
{versionCommitId}
/
blob
/
{entityType}
/
{entityId}
Get the contents of a entity at a given version
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
The ID of the version
Required string length:
5 - 10Example:
"jjl8y"
The type of the entity.
Available options:
mappings, settings, grpc-dsc, graphql-schema, openapi-doc The ID of the entity. This path segment should be provided if and only if the entityType path segment is mappings.
Response
200 response
The response is of type string.
⌘I